<html>
	<head>
		<title>adaptor:ex async API tester</title>
		<meta charset="utf-8">
	</head>

	<body>
		<div style="padding: 10px;">
			<h1>adaptor:ex async API tester</h1>
			<div>Connect to the socket.io namespaces using URL parameters. For example, to connect to <code>mygame</code> and get logs at level <code>info</code> use: <a href="/socket_example?game=mygame&log=info">/socket_example?game=mygame&log=info</a></div>
				<details style="padding-top: 5px;">
					<summary>See URL parameter options</summary>
					<ul>
						<li><b>log</b>: Connect to the logging socket namespace. Parameter value is the log level (e.g. <code>log=debug</code>).</li>
						<li><b>game</b>: The game identifier to connect to a specific game. (e.g. <code>game=mygame</code>).</li>
						<li><b>level</b>: The level socket to connect to. Parameter value is the level _id (e.g. <code>level=6yUUAUzgZKh4qpAy</code>).</li>
						<li><b>plugin</b>: Connect to namesapces in a custom socketio plugin. Parameter value is the plugin name (e.g. <code>plugin=socketio</code>).</li>
						<li><b>namespace</b>: The socketio plugin namespace to connect to. (e.g. <code>namespace=mynamespace</code>).</li>
						<li><b>user</b>: Username for user authentication if required (e.g. <code>user=myuser</code>).</li>
						<li><b>password</b>: Password for user authentication if required (e.g. <code>password=mypassword</code>).</li>
					</ul>
				</details>
			
			<h3>Send Messages</h3>
			<div style="padding-left: 20px;" id="send"></div>
			<h3>Monitor</h3>
			<div style="padding-left: 20px;" id="log"></div>
		</div>
		</div>
	</body>
	<script src="/socket.io/socket.io.js"></script>
	<script src="/socket_example/socket_example.js"></script>
</html>
